OpenMS: Map< Key, T >::IllegalKey Class Reference

| OpenMS 2.5.0

Public Member Functions | List of all members
Map< Key, T >::IllegalKey Class Reference
Concept » Exceptions

Map illegal key exception. More...

`#include <OpenMS/DATASTRUCTURES/Map.h>`

Inheritance diagram for Map< Key, T >::IllegalKey:

## Public Member Functions

| IllegalKey (const char *file, int line, const char *function)
Public Member Functions inherited from BaseException
| BaseException () noexcept
| Default constructor. More...
| BaseException (const char *file, int line, const char *function) noexcept
| Constructor. More...
| BaseException (const char *file, int line, const char *function, const std::string &name, const std::string &message) noexcept
| Constructor. More...
| BaseException (const BaseException &exception) noexcept
| Copy constructor. More...
| ~BaseException () noexcept override
| Destructor. More...
const char * | getName () const noexcept
| Returns the name of the exception. More...
const char * | what () const noexcept override
| Returns the error message of the exception. More...
int | getLine () const noexcept
| Returns the line number where it occurred. More...
const char * | getFile () const noexcept
| Returns the file where it occurred. More...
const char * | getFunction () const noexcept
| Returns the function where it occurred. More...
const char * | getMessage () const noexcept
| Returns the message. More...
void | setMessage (const std::string &message) noexcept
| Modify the exception's error message. More...

## Additional Inherited Members

Protected Attributes inherited from BaseException
const char * | file_
| The source file the exception was thrown in. More...
int | line_
| The line number the exception was thrown in. More...
const char * | function_
| The source file the exception was thrown in. More...
std::string | name_
| The name of the exception. More...
std::string | what_
| A more detailed description of the exception's cause. More...

## Detailed Description

### template<class Key, class T>
class OpenMS::Map< Key, T >::IllegalKey

Map illegal key exception.

Thrown when trying to access an element with operator[], which is not contained in the Map , i.e. no default ctor is called (as done in std::map)

## Constructor & Destructor Documentation

## ◆ IllegalKey()

IllegalKey | ( | const char * | file,
|  | int | line,
|  | const char * | function
| ) |  |

inline

Referenced by Map< UInt, std::vector< const OpenMS::ResidueModification *> >::operator[]().